Member types
Create a custom member type
Creates an active custom member type. The slug is derived from the name and remains reserved if the type is later archived. Requires admin tier and member_types.manage permission.
POST
/
api
/
v2025-06
/
member-types
Create a custom member type
curl --request POST \
--url https://api.fluid.app/api/v2025-06/member-types \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"member_type": {
"name": "Assistant to the Regional Manager",
"permissions": {
"rep_eligible": true
},
"pricing_tier_id": "0192a4c1-7e2b-7e9a-a3c7-81d4f5b2e069"
}
}
'import requests
url = "https://api.fluid.app/api/v2025-06/member-types"
payload = { "member_type": {
"name": "Assistant to the Regional Manager",
"permissions": { "rep_eligible": True },
"pricing_tier_id": "0192a4c1-7e2b-7e9a-a3c7-81d4f5b2e069"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
member_type: {
name: 'Assistant to the Regional Manager',
permissions: {rep_eligible: true},
pricing_tier_id: '0192a4c1-7e2b-7e9a-a3c7-81d4f5b2e069'
}
})
};
fetch('https://api.fluid.app/api/v2025-06/member-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"member_type": {
"id": "0199a8f0-2d6b-7a18-8e45-c3b17f9d2a06",
"name": "Assistant to the Regional Manager",
"slug": "assistant-to-the-regional-manager",
"system_defined": false,
"rep_eligible": true,
"archived_at": null,
"pricing_tier": {
"id": "0192a4c1-7e2b-7e9a-a3c7-81d4f5b2e069",
"name": "Wholesale",
"tier_level": 2,
"system": true,
"archived_at": null,
"member_type_count": 2
}
},
"status": 201,
"meta": {
"request_id": "6b1e8d35-0a7c-4f29-8e53-d9c2a4b7f610",
"timestamp": "2026-09-10T11:24:51Z"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"error": {
"message": "<string>",
"details": {}
},
"status": 123,
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"cursor": "<string>",
"limit": 123,
"prev_cursor": "<string>",
"next_cursor": "<string>",
"total_count": 123
}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
⌘I
Create a custom member type
